<template>
  <q-layout view="hHh lpR fFf" role="region" aria-label="XBRL Taxonomy viewer">

    <AppHeader :dts_name="dts_name" :dts_nice_name="dts_nice_name" :nt_version="nt_version"></AppHeader>

    <div class="custom__listview" role="region" aria-label="Lijst concepten">
      <ConceptList :dts_name="dts_name" :nt_version="nt_version"></ConceptList>
    </div>

    <q-page-container class="sidebar__padding" role="region" aria-label="Details concept">
      <router-view/>
    </q-page-container>

    <q-footer bordered class="bg-primary text-white" role="region" aria-label="Footer">
      <q-toolbar role="presentation">
        <q-toolbar-title class="absolute-bottom-left q-mr-md q-mb-sm footer full-width row">
          <div class="col-9 entrypoint-chooser-wrapper">
            <EntrypointChooser :current_dts_name="dts_name" :current_nt_version="nt_version"></EntrypointChooser>
          </div>
          <div class="col-2">
          </div>
          <div class="footer__help q-pl-md cursor-pointer col-1">
            <q-icon size="lg" name="help_outline"
                    @click="open_help()"></q-icon>
          </div>
        </q-toolbar-title>
      </q-toolbar>
    </q-footer>

  </q-layout>
</template>

<script>
import ConceptList from "components/ConceptList";
import {api} from 'boot/axios'
import AppHeader from "components/AppHeader";
import EntrypointChooser from "components/EntrypointChooser";
import SharedMethods from "components/SharedMethods";
import Help from "layouts/Help";

export default {
  name: "ConceptViewer.vue",
  components: {AppHeader, ConceptList, EntrypointChooser},
  props: {
    dts_name: undefined,
    nt_version: String,
  },
  mounted() {
    this.get_dts_nice_name()
    document.title = "Concepten - XBRL Taxonomy viewer"
  },
  data() {
    return {dts_nice_name: undefined, hide_help: 'hidden'}
  },
  methods: {
    open_help: function () {
      window.open('/docs/vw-concepten/', 'help-window', 'width=980, height=1020')
    },

    get_dts_nice_name: function () {
      api
        .get("/dts/" + this.dts_name + "/nice_name", {params: {nt_version: this.nt_version}})
        .then(response => {
          this.dts_nice_name = response.data.dts_nice_name
        })
        .catch((error) => {
          this.dts_nice_name = "[**entrypoint not found**]"
        })
    },
  }
}
</script>

<style scoped lang="scss">
.some_focus:focus {
  border: 1px dotted white;
}

.custom__listview {
  position: fixed;
  top: 99px;
  width: 20%;
}

.sidebar__padding {
  padding-left: 20%;
}
</style>
